package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.InventarioPapeleria;

import java.util.List;

public interface InventarioPapeleriaFacadeLocal {

    void create(InventarioPapeleria inventariopapeleria);

    void edit(InventarioPapeleria inventariopapeleria);

    void remove( InventarioPapeleria inventarioPapeleria);

    InventarioPapeleria find(Object id);

    List<InventarioPapeleria> findAll();

    List<InventarioPapeleria> findRange(int[] range);

    public void obtenerexistenciasumada(Integer ndatos, String codigoPapeleria, String departamento);

    void obtenerdatosumados(String departamento, String codigoPapeleria, Integer cantidad, Integer tipo);

    List<InventarioPapeleria> listapinventario();

    public void  productoid(String idcodigo);
    public InventarioPapeleria busquedaCodigo(String procodigoippel);
    public List<InventarioPapeleria> ObtenerIDarticulo(String codigopapel);

    public List<InventarioPapeleria> BorrarIDarticulo(String idpapel);

    public List<InventarioPapeleria> ObtenerIdPapelDep(String codigo, String departamento);
    public InventarioPapeleria buscarCodigoyDepartamento(String codigopp, String departamento);
    public boolean obtenerrCodDepPapel(String codigo, String departamento);

    public void insertarProductoInaventariopp( String codigop, String departamentop, Integer eanterior, Integer eactual, Integer efisica);

}
